[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLConnection.UserName

The username for authentication on the database server

## Declaration

Source position: sqldb.pp line 176

`published property TSQLConnection.UserName : string read FUserName write FUserName;`

## Description

UserName is used to to authenticate on the database server when the connection to the database is established.

This property must be set prior to activating the connection. Changing it while the connection is active has no effect.

## See also

TSQLConnection.Password |  | Password used when authenticating on the database server
TSQLConnection.HostName |  | The name of the host computer where the database resides
TSQLConnection.Role |  | Role in which the user is connecting to the database
TSQLConnection.Charset |  | The character set to be used in this database

Documentation generated on: Feb 26 2014